import 'package:flutter/material.dart';

class FimCommonCell extends StatelessWidget {
  final EdgeInsetsGeometry padding;
  final String text;
  final TextStyle textStyle;
  final Widget leftWidget;
  final Widget rightWidget;
  final VoidCallback callback;
  final double height; 
  const FimCommonCell({
    Key key,
    this.padding = const EdgeInsets.fromLTRB(12, 0, 0, 0),
    this.text,
    this.textStyle = const TextStyle(
        fontSize: 14, fontWeight: FontWeight.w500, color: Color(0xFF333333)),
    this.leftWidget,
    this.rightWidget,
    this.callback, this.height = 44,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: this.callback,
      child: Container(
        color: Colors.white,
        padding: this.padding,
        height: this.height,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: _buildWidgets(),
        ),
      ),
    );
  }

  List<Widget> _buildWidgets() {
    List<Widget> children = <Widget>[];
    if (this.leftWidget != null) {
      children.add(this.leftWidget);
    }

    children.add(
      Expanded(child: Text(this.text, style: this.textStyle)),
    );

    if (this.rightWidget != null) {
      children.add(this.rightWidget);
    } else {
      children.add(Container(
        padding: EdgeInsets.all(0),
        child: IconButton(
            icon: Icon(Icons.arrow_forward_ios),
            iconSize: 15,
            onPressed: null),
      ));
    }
    return children;
  }
}
